Subject: Re: [patch 2/4] mISDN: add support for group membership check

From: Ben Hutchings <[email-masked]>
Date: Fri, 20 Sep 2013 17:30:44 +0100

On Fri, Sep 20, 2013 at 12:21:42PM -0400, David Miller wrote:
> From: Jiri Slaby <[email-masked]>
> Date: Fri, 20 Sep 2013 18:18:02 +0200
> 
> > Ok, let's leave the hole in there then.
> 
> Jiri, don't turn this on me.
> 
> The issue is not whether something needs to be fixed or not, I never
> said "don't fix this" and therefore I'd like to ask politely that you
> not make it seem like I have.
> 
> Rather, I'm saying that the implementation is terrible, sets a bad
> precendence for fixing similar problems, and therefore not is in
> a state where we can apply it.
> 
> So, I'm not saying "don't fix this", I'm saying "fix it properly."

I think Jiri's last suggestion was to add the capability check to
device renaming (which I think everyone agrees is needed) and not
to add any group identity checks for any operation.

Isn't that fixing it properly?

Ben.

-- 
Ben Hutchings
We get into the habit of living before acquiring the habit of thinking.
                                                              - Albert Camus